#!/usr/bin/perl -w
#
# index.cgi
#
# This scripts pipes out the default web page, but substitutes the
# actual IP address as appropriate so that links to Webmin etc.
# will function correctly.
#
# Copyright 1998 Corel Computer Corporation
#
# This is open-source software (see www.opensource.org).  Open Source(R)
# is a Registered Certification Mark of Software in the Public Interest.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as 
# published by the Free Software Foundation; either version 1,
# or, (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to the
# Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

use CGI;
use strict;
require 'layout.pl';
require 'common.pl';

my $q = new CGI("");
my $host = host();

print start_webfront("NetWinder WS","user",-1,-1);

print `sed -e s/HOSTNAME/$host/ < /home/httpd/html/corel/front.html`;

print end_webfront();
